#include <NTPClient.h>
#include <ESP8266WiFi.h>
#include <WiFiUdp.h>
#include <Arduino.h>
#include <TM1637Display.h>

#define CLK 0       // D3-CLK
#define DIO 2       // D4-DIO
TM1637Display display(CLK, DIO);

  const char *ssid     = "XXXXXXXX";       //Название WIFI сети
  const char *password = "XXXXXXXXXX";     //Пароль

WiFiUDP ntpUDP;
NTPClient timeClient(ntpUDP, "pool.ntp.org", 10800, 60000);      // ТАЙМЗОНА(в сек.)  соединение 1 раз/минута

void setup() {
  Serial.begin(115200);  
  Serial.print("Соединение с сетью ");
  Serial.println(ssid);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  timeClient.begin();                                             // Инициализация NTPClient
}

void loop() {
  display.setBrightness(3);                                       // Яркость от 0 до 7
  String m;
  int currentHour = timeClient.getHours();                        // Часы
  int currentMinute = timeClient.getMinutes();                    // Минуты  
   timeClient.update();                                           // Обновляем время
  if (currentMinute < 10) m= "0"+ String(currentMinute);          // Если минуты меньше 10 добавляем 0
  else m= String(currentMinute);                                  // Если минуты больше или равно 10 выводим как есть
  String H = String(currentHour) + m;                             // Объеденяем часы и минуты всё в одну строку
  display.showNumberDecEx(H.toInt(), 0b11100000, true);           // Выводим время точками | true = с нулём, false = без нуля
  delay(1000);                                                    // Пауза для точек
  display.showNumberDec(H.toInt(), true);                         // Гасим точки           | true = с нулём, false = без нуля
  delay(1000);                                                    // Пауза для точек  
}
